#ifndef _Handle_PBRep_PolygonOnClosedTriangulation_HeaderFile
#define _Handle_PBRep_PolygonOnClosedTriangulation_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PBRep_PolygonOnTriangulation_HeaderFile
#include <Handle_PBRep_PolygonOnTriangulation.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PBRep_PolygonOnTriangulation);
class PBRep_PolygonOnClosedTriangulation;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PBRep_PolygonOnClosedTriangulation);

class Handle(PBRep_PolygonOnClosedTriangulation) : public Handle(PBRep_PolygonOnTriangulation) {
  public:

    Handle(PBRep_PolygonOnClosedTriangulation)():Handle(PBRep_PolygonOnTriangulation)() {} 
    Handle(PBRep_PolygonOnClosedTriangulation)(const Handle(PBRep_PolygonOnClosedTriangulation)& aHandle) : Handle(PBRep_PolygonOnTriangulation)(aHandle) 
     {
     }

    Handle(PBRep_PolygonOnClosedTriangulation)(const PBRep_PolygonOnClosedTriangulation* anItem) : Handle(PBRep_PolygonOnTriangulation)((PBRep_PolygonOnTriangulation *)anItem) 
     {
     }

    Handle(PBRep_PolygonOnClosedTriangulation)& operator=(const Handle(PBRep_PolygonOnClosedTriangulation)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PBRep_PolygonOnClosedTriangulation)& operator=(const PBRep_PolygonOnClosedTriangulation* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PBRep_PolygonOnClosedTriangulation* operator->() const 
     {
      return (PBRep_PolygonOnClosedTriangulation *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PBRep_PolygonOnClosedTriangulation) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
